Summary:	Seahorse - A GNOME front end for GnuPG
Summary(pl.UTF-8):	Seahorse - frontend GNOME do GnuPG
Name:		seahorse
Version:	3.30.1.1
Release:	1
License:	GPL v2
Group:		X11/Applications
Source0:	http://ftp.gnome.org/pub/GNOME/sources/seahorse/3.30/%{name}-%{version}.tar.xz
# Source0-md5:	dedeaa4118e68d7c693a936cbabcd434
URL:		http://www.gnome.org/projects/seahorse/
BuildRequires:	avahi-devel >= 0.6
BuildRequires:	avahi-glib-devel >= 0.6
BuildRequires:	docbook-dtd412-xml
BuildRequires:	gcr-devel >= 3.12.0
BuildRequires:	gcr-ui-devel >= 3.12.0
BuildRequires:	gettext-tools
BuildRequires:	glib2-devel >= 1:2.44.0
BuildRequires:	gnupg2 >= 2.0.12
BuildRequires:	gpgme-devel >= 1:1.7.0
BuildRequires:	gtk+3-devel >= 3.22.0
BuildRequires:	intltool >= 0.40.0
BuildRequires:	libsecret-devel >= 0.16
BuildRequires:	libsoup-devel >= 2.33.92
BuildRequires:	meson >= 0.42
BuildRequires:	ninja
BuildRequires:	openldap-devel >= 2.4.6
# ssh-keygen bin path
BuildRequires:	openssh
# ssh bin path
BuildRequires:	openssh-clients
BuildRequires:	pkgconfig
BuildRequires:	rpmbuild(find_lang) >= 1.23
BuildRequires:	rpmbuild(macros) >= 1.727
BuildRequires:	vala >= 2:0.22.0
BuildRequires:	vala-gcr >= 3.12.0
BuildRequires:	vala-gcr-ui >= 3.12.0
BuildRequires:	vala-libsecret >= 0.16
BuildRequires:	yelp-tools
Requires(post,postun):	desktop-file-utils
Requires(post,postun):	gtk-update-icon-cache
Requires(post,postun):	hicolor-icon-theme
Requires:	gcr >= 3.12.0
Requires:	glib2 >= 1:2.44.0
Requires:	gnome-keyring >= 3.4.0
Requires:	gnupg2 >= 2.0.12
Requires:	gpgme >= 1:1.7.0
Requires:	gtk+3 >= 3.22.0
Requires:	libsecret >= 0.16
Requires:	libsoup >= 2.33.92
Obsoletes:	gnome-keyring-manager
# sr@Latn vs. sr@latin
Conflicts:	glibc-misc < 6:2.7
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Seahorse is a GNOME front end for GnuPG - the Gnu Privacy Guard
program. It is a tool for secure communications and data storage. Data
encryption and digital signature creation can easily be performed
through a GUI and Key Management operations can easily be carried out
through an intuitive interface. Both English and Japanese is support
is provided.

%description -l pl.UTF-8
Seahorse to frontend GNOME do programu GnuPG - Gnu Privacy Guard. Jest
to narzędzie do bezpiecznego komunikowania i przechowywania danych.
Szyfrowanie danych i tworzenie cyfrowego podpisu może być łatwo
realizowane poprzez graficzny interfejs użytkownika, a zarządzanie
kluczami jest prowadzone przez intuicyjny interfejs.

%prep
%setup -q

%build
%meson build \
	-Dpgp-support=true
%meson_build -C build

%install
rm -rf $RPM_BUILD_ROOT

%meson_install -C build

%find_lang %{name} --with-gnome

%clean
rm -rf $RPM_BUILD_ROOT

%post
%glib_compile_schemas
%update_icon_cache hicolor

%postun
%glib_compile_schemas
%update_icon_cache hicolor

%files -f %{name}.lang
%defattr(644,root,root,755)
%doc AUTHORS NEWS README.md
%attr(755,root,root) %{_bindir}/seahorse
%dir %{_libexecdir}/seahorse
%attr(755,root,root) %{_libexecdir}/seahorse/ssh-askpass
%attr(755,root,root) %{_libexecdir}/seahorse/xloadimage
%{_datadir}/%{name}
%{_desktopdir}/seahorse.desktop
%{_iconsdir}/hicolor/*x*/apps/seahorse*.png
%{_iconsdir}/hicolor/symbolic/apps/seahorse-symbolic.svg
%{_datadir}/metainfo/seahorse.appdata.xml
%{_datadir}/dbus-1/services/org.gnome.seahorse.Application.service
%{_datadir}/glib-2.0/schemas/org.gnome.seahorse.gschema.xml
%{_datadir}/glib-2.0/schemas/org.gnome.seahorse.manager.gschema.xml
%{_datadir}/glib-2.0/schemas/org.gnome.seahorse.window.gschema.xml
%{_datadir}/gnome-shell/search-providers/seahorse-search-provider.ini
%{_mandir}/man1/seahorse.1*
%changelog
* Thu Dec 13 2018 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/seahorse.git;a=log;h=master

* Wed Dec 12 2018 Jan Palus <atler@pld-linux.org> 88f9e86
- up to 3.30.1.1

* Sun Oct 28 2018 Jan Palus <atler@pld-linux.org> bfcba9e
- up to 3.30

* Sat May 21 2016 Jakub Bogusz <qboosh@pld-linux.org> 991e55a
- updated some dependencies

* Sat Mar 26 2016 Marcin Banasiak <marcin.banasiak@gmail.com> 792b56f
- Update to 3.20.0

* Wed Sep 30 2015 Łukasz Kieś <kiesiu@pld-linux.org> f4f3c6a
- updated to 3.18.0

* Wed May 27 2015 Jakub Bogusz <qboosh@pld-linux.org> 9d99c47
- updated to 3.16.0

* Tue Mar 31 2015 Łukasz Kieś <kiesiu@pld-linux.org> b24e000
- updated to 3.14.1

* Sun Dec 28 2014 Jan Rękorajski <baggins@pld-linux.org> b468067
- updated gettext BR

* Fri May 16 2014 Marcin Banasiak <marcin.banasiak@gmail.com> f1c85e6
- Update to 3.12.2

* Tue Apr 01 2014 Łukasz Kieś <kiesiu@pld-linux.org> 6192804
- updated to 3.12.0

* Fri Jan 24 2014 Łukasz Kieś <kiesiu@pld-linux.org> acd6047
- updated to 3.10.2

* Sat Oct 19 2013 Łukasz Kieś <kiesiu@pld-linux.org> 8f0a407
- updated to 3.10.1

* Wed Oct 02 2013 Artur Frysiak <artur@frysiak.net> 1666f5e
- Up to 3.10.0

* Fri May 24 2013 Łukasz Kieś <kiesiu@pld-linux.org> cb2638a
- updated to 3.8.2

* Tue Mar 26 2013 Łukasz Kieś <kiesiu@pld-linux.org> 6ba629a
- updated to 3.8.0

* Sat Feb 02 2013 Łukasz Kieś <kiesiu@pld-linux.org> bf4a1ad
- updated to 3.6.3

* Wed Oct 24 2012 Łukasz Kieś <kiesiu@pld-linux.org> 74dca57
- updated to 3.6.2

* Sat Oct 20 2012 Marcin Banasiak <marcin.banasiak@gmail.com> 1fe8629
- Update to 3.6.1

* Mon Jul 23 2012 Marcin Krol <hawk@tld-linux.org> d8fb0ed
- build fix for:
  seahorse-gpgme-keyring.c:862:1: error: size of array '_GStaticAssertCompileTimeAssertion_12' is negative
  seahorse-gpgme-keyring.c:862:2: error: cannot convert to a pointer type

* Mon Apr 16 2012 Marcin Banasiak <marcin.banasiak@gmail.com> 38a2acd
- updated to 3.4.1

